{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<div class="box box-default">
    <div class="box-header with-border">
        {% if news is defined and news is not empty %}
            <h3 class="box-title" style="padding-right: 75px;">{{ (news.date|moment).format("d/m/Y") }} - <strong>{{ news.title }}</strong></h3>
        {% else %}
            <h3 class="box-title">Dernière actualité</h3>
        {% endif %}
        <div class="box-tools pull-right">
            <a href="{{ path('news.index') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Actualités</a>
        </div>
    </div>
    <!-- /.box-header -->

    {% if news is defined and news is not empty %}
        <div class="box-body">
            {# {{ news.body | markdownize | raw }} #}
            {% set paragraphs = (news.body | truncate(200) | markdownize) |split('</p>') %}
            {{ (paragraphs|first ~ (paragraphs|length > 1 ? ' [...]' : '') ~ '</p>') | raw }}
            {% if paragraphs|length > 1 %}
                <p class="m-b-5"><a href="{{ path('news.detail', {id: news.id}) }}" data-toggle="modal-remote"><i class="fa fa-eye"></i> Lire la suite</a></p>
            {% endif %}
        </div>

        {# <div class="box-footer">
            <i class="fa fa-download"></i> <a href="{{ path('news.download', {id: news.id}) }}">{{ news.fileName }}</a>
        </div> #}
    {% else %}
        <div class="box-body">
            {% if news is defined %}<div class="text-muted-light">Aucune actualité à afficher</div>{% endif %}
        </div>
    {% endif %}
    <!-- /.box-footer -->
</div>